package com.iformall.domain.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.*;
import java.util.List;
import java.io.Serializable;

@TableName(value = "wx_pay_order")
@Data
public class WxPayOrder implements Serializable {
	private static final long serialVersionUID = 1L;

    protected Long id;

	@TableField(exist = false)
    protected List<Long> ids;

	@io.swagger.annotations.ApiModelProperty(value="租户ID",name="tenantId")
	private String tenantId;
	@io.swagger.annotations.ApiModelProperty(value="创建时间",name="createTime")
	private Date createTime;
	@io.swagger.annotations.ApiModelProperty(value="更新时间",name="updateTime")
	private Date updateTime;
	@io.swagger.annotations.ApiModelProperty(value="订单ID",name="orderId")
	private Long orderId;
	@io.swagger.annotations.ApiModelProperty(value="用户ID",name="cUserId")
	private Long cUserId;
    @io.swagger.annotations.ApiModelProperty(value="B端用户ID",name="bUserId")
    private Long bUserId;
    @io.swagger.annotations.ApiModelProperty(value="扫码授权编码",name="authCode")
    private String authCode;
	@io.swagger.annotations.ApiModelProperty(value="ip地址",name="ip")
	private String ip;
	@io.swagger.annotations.ApiModelProperty(value="支付金额(分)",name="payAmount")
	private Integer payAmount;
	@io.swagger.annotations.ApiModelProperty(value="支付发起时间",name="payTimeStart")
	private Date payTimeStart;
	@io.swagger.annotations.ApiModelProperty(value="支付结束时间",name="payTimeEnd")
	private Date payTimeEnd;
	@io.swagger.annotations.ApiModelProperty(value="微信预支付交易会话标识",name="prepayId")
	private String prepayId;
	@io.swagger.annotations.ApiModelProperty(value="微信生成的订单号",name="transactionId")
	private String transactionId;
	@io.swagger.annotations.ApiModelProperty(value="支付渠道: 0-微信 1-支付宝 2-银联 ",name="payVendor")
	private Integer payVendor;
	@io.swagger.annotations.ApiModelProperty(value="支付订单号",name="payOrderNo")
	private String payOrderNo;
	@io.swagger.annotations.ApiModelProperty(value="支付状态: 0-支付中;1-支付成功;2-支付失败",name="payOrderStatus")
	private Integer payOrderStatus;
	@io.swagger.annotations.ApiModelProperty(value="分账状态: 0-未分账;1-分账",name="payOrderStatus")
	private Integer share;
	@io.swagger.annotations.ApiModelProperty(value="分账金额(总金额扣除手续费后的金额)",name="shareAmount")
	private Integer shareAmount;
    @io.swagger.annotations.ApiModelProperty(value="通道费差(购买时刻的通道费差，分账完结时使用)",name="rateAmount")
    private Integer rateAmount;
	@io.swagger.annotations.ApiModelProperty(value="支付失败原因",name="failReason")
	private String failReason;
    @io.swagger.annotations.ApiModelProperty(value="支付后结果来源(0:callback, 1:query)",name="payEndFrom")
    private Integer payEndFrom;


}
