package com.iformall.service.toutiao.api.bean;

import com.google.gson.*;
import me.chanjar.weixin.common.util.json.GsonHelper;

import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.List;

/**
 * @author <a href="https://github.com/007gzs">007</a>
 */
public class TtOpenAuthorizationInfoGsonAdapter implements JsonDeserializer<TtOpenAuthorizationInfo> {

  @Override
  public TtOpenAuthorizationInfo deserialize(JsonElement jsonElement, Type type, JsonDeserializationContext jsonDeserializationContext) throws JsonParseException {
    TtOpenAuthorizationInfo authorizationInfo = new TtOpenAuthorizationInfo();
    JsonObject jsonObject = jsonElement.getAsJsonObject();
    authorizationInfo.setAuthorizerAppid(GsonHelper.getString(jsonObject, "authorizer_appid"));
    authorizationInfo.setAuthorizerAccessToken(GsonHelper.getString(jsonObject, "authorizer_access_token"));
    authorizationInfo.setExpiresIn(GsonHelper.getPrimitiveInteger(jsonObject, "expires_in"));
    authorizationInfo.setAuthorizerRefreshToken(GsonHelper.getString(jsonObject, "authorizer_refresh_token"));
    authorizationInfo.setRefreshExpiresIn(GsonHelper.getPrimitiveInteger(jsonObject, "refresh_expires_in"));

    List<Integer> funcInfo = new ArrayList<>();
    JsonArray jsonArray = GsonHelper.getAsJsonArray(jsonObject.get("authorize_permission"));
    if (jsonArray != null && !jsonArray.isJsonNull()) {
      for (int i = 0; i < jsonArray.size(); i++) {
        jsonObject = jsonArray.get(i).getAsJsonObject();
        if (jsonObject == null || jsonObject.isJsonNull()) {
          continue;
        }
        Integer id = GsonHelper.getInteger(jsonObject, "id");
        if (id == null) {
          continue;
        }
        funcInfo.add(id);
      }
    }
    authorizationInfo.setAuthorizePermission(funcInfo);
    return authorizationInfo;
  }
}
